# BEGIN SourceDeps(oneline):
BuildRequires: perl(Test.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Authen-Krb5-Admin
Version:        0.17
Release:        alt1_1
Summary:        Perl extension for MIT Kerberos 5 admin interface
Group:          Development/Perl
# admin.h - MIT
# ppport.h - GPL+ or Artisic (same as any version of Perl)
# everything else: BSD (two clause)
License:        MIT and BSD and (GPL+ or Artistic)
URL:            http://search.cpan.org/dist/Authen-Krb5-Admin/
Source0:        http://www.cpan.org/authors/id/S/SJ/SJQUINNEY/Authen-Krb5-Admin-%{version}.tar.gz
BuildRequires:  libssl-devel
BuildRequires:  perl(Authen/Krb5.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)


Source44: import.info

%description
Authen::Krb5::Admin is an object-oriented interface to the Kerberos 5 admin
server. Currently only MIT KDCs are supported, but the author envisions
seamless integration with other KDCs.

%prep
%setup -q -n Authen-Krb5-Admin-%{version}

sed -i -e 's!$PREFIX/lib!$PREFIX/%{_lib}!' Makefile.PL
# alt krb5
if [ ! -e /usr/include/krb5.h ]; then
	sed -i -e 's,krb5\.h,krb5/krb5.h,' Makefile.PL Admin.xs
fi

%build
# set some dummy values for the test to stop Makefile.PL from asking
# note: the values are never used
export PERL_KADM5_PRINCIPAL=dummy
export PERL_KADM5_TEST_NAME=dummy
export PERL_KADM5_TEST_NAME_2=dummy
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
chmod -R u+w $RPM_BUILD_ROOT/*


%check
# not possible due to required kerberos environment

%files
%doc README COPYING ChangeLog
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Authen


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.17-alt1_1
- update to new release by fcimport

* Mon Sep 10 2012 Cronbuild Service <cronbuild@altlinux.org> 0.11-alt2_14
- rebuild with new perl

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_14
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_12
- fc import

